From: Jonathan Theodore Mayer <[email-masked]>
Date: Wed, 14 Sep 2016 17:56:55 -0700

The lowest and highest exponent that do not result in an error for
string->number are -324 and 308, respectively. I am running Guile 2.0.9.